function GitRepo(repoData, 
				owner, 
				parent, 
				type, 
                parentType,
				description, 
				options, 
				changeFlowsFromParent, 
				changeFlowsToParent, 
				firmerThanParent,
                depot,
                port)
{
	//GitP4Stream=true GitRepoName=monkey GitRepoFolder=gorilla WorkspaceName=chimp WorkspaceFolder=orangutan
	var mRepoData = repoData;

    // these are all properties of streams
    this.mType = type;
    this.mParentType = parentType;
    this.mParent = parent;
    
    var parentName = parent;
    
    if( this.mParentType == 'gitBranch' )
        parentName = parentName.substring( parentName.lastIndexOf('/') + 1, parentName.length);
    else if( this.mParentType == 'gitRepo' )
        parentName = 'master';//parentName.substring( parentName.lastIndexOf('/') + 1, parentName.length) + ' (master)';
    
    this.mParentName = parentName;
	
    this.mStream = repoData['gitRepoFolder'] + '/' + repoData['gitRepoName'];
	this.mOptions = options;
	this.mOwner = owner;
	this.mDescription = description;
    
    this.type = function(){ return this.mType; }
	this.mName = repoData['gitRepoName'];

	this.mChangeFlowsFromParent = changeFlowsFromParent;
	this.mChangeFlowsToParent = changeFlowsToParent;
	this.mFirmerThanParent = firmerThanParent;
    
    this.mP4WorkspaceFolder = mRepoData['workspaceFolder'];
    this.mGitRepoFolder = mRepoData['gitRepoFolder'];
    this.mWorkspaceName = mRepoData['workspaceName'];
    
    this.mDepot = depot;
    this.mPort = port;
	
	this.Paths = function()
	{
		var paths = [];
		paths.push('Local Git repo path:' + this.mGitRepoFolder);
		paths.push('Local Perforce path: ' + this.mP4WorkspaceFolder);
		return paths;
	}
    
	//console.log('stream object: ' + this.mStream + ' changeFlowsFromParent: ' + this.mChangeFlowsFromParent);
	
	//TODO by DG: figure out why this makes the x values separate correctly.  It's probably something to do with
	//an 'if' statement in MWLayout thinking the stream is undefined, null, or something along those lines...
	this.toString = function()
	{
		return this.mStream;
	}
}


